import string, sys

# for each data set 1,2,...
while True:
   # read: n, number of cities; k, min troops required to defend city
   (x,y,z,w) = map (float, string.split (sys.stdin.readline())[0:4]);
   if (x==0.0 and y==0.0 and z==0.0 and w==0.0): break;

   sys.stdout.write ("%.3f\n" % abs((x-z)*(y-w)));
